Wed, 15 Jul 2009

now with rss

Because there is one person who reads this blog I finally got around to hooking up the rss function. Link at the bottom of this page or right here. Enjoy :)

posted at: 20:13 | path: /general | permanent link to this entry

apt-get install in lenny

I was just setting up a minimalistic netboot machine and needed metacity for a windows manager so I typed in apt-get install metacity and got the following:
# apt-get install metacity
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  desktop-file-utils doc-base dvd+rw-tools evolution-data-server evolution-data-server-common genisoimage gnome-about gnome-applets gnome-applets-data gnome-control-center gnome-desktop-data gnome-doc-utils gnome-media gnome-netstatus-applet gnome-panel gnome-panel-data gnome-session gnome-settings-daemon
  gnome-system-monitor gnome-user-guide gstreamer0.10-alsa gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-x libaa1 libapm1 libasound2 libcairomm-1.0-1 libcdio7 libcdparanoia0 libcompress-raw-zlib-perl libcompress-zlib-perl libedata-book1.2-2 libedata-cal1.2-6 libedataserverui1.2-8 libeel2-2.20
  libeel2-data libegroupwise1.2-13 libenchant1c2a libexempi3 libexif12 libflac8 libfont-afm-perl libfreezethaw-perl libgdata-google1.2-1 libgdata1.2-1 libglibmm-2.4-1c2a libgnome-window-settings1 libgnomekbd-common libgnomekbd2 libgnomekbdui2 libgstreamer-plugins-base0.10-0 libgtkmm-2.4-1c2a libgucharmap6
  libgweather-common libgweather1 libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhunspell-1.2-0 libio-compress-base-perl libio-compress-zlib-perl liblcms1 libmalaga7 libmldbm-perl libmozjs1d libnautilus-extension1 libnet-dbus-perl libnotify1 liboobs-1-4 librarian0 libsexy2 libslab0
  libsoup2.4-1 libtie-ixhash-perl libtrackerclient0 libuuid-perl libvoikko1 libwavpack1 libwww-perl libxklavier12 libxml-parser-perl libxml-twig-perl libxml-xpath-perl myspell-en-us nautilus nautilus-cd-burner nautilus-data notification-daemon system-tools-backends wodim xulrunner-1.9 yelp
Suggested packages:
  cdrskin evolution evolution-data-server-dbg cdrkit-doc tomboy cpufreqd cpudyn powernowd esound-clients gnome-screensaver xscreensaver gnome2-user-guide gnome-system-tools libasound2-plugins libvisual-0.4-plugins gnome-app-install liblcms-utils voikko-fi libio-socket-ssl-perl libunicode-map8-perl
  libunicode-string-perl xml-twig-tools eog evince pdf-viewer totem mp3-decoder tracker fam xulrunner-1.9-gnome-support
The following NEW packages will be installed:
  desktop-file-utils doc-base dvd+rw-tools evolution-data-server evolution-data-server-common genisoimage gnome-about gnome-applets gnome-applets-data gnome-control-center gnome-desktop-data gnome-doc-utils gnome-media gnome-netstatus-applet gnome-panel gnome-panel-data gnome-session gnome-settings-daemon
  gnome-system-monitor gnome-user-guide gstreamer0.10-alsa gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-x libaa1 libapm1 libasound2 libcairomm-1.0-1 libcdio7 libcdparanoia0 libcompress-raw-zlib-perl libcompress-zlib-perl libedata-book1.2-2 libedata-cal1.2-6 libedataserverui1.2-8 libeel2-2.20
  libeel2-data libegroupwise1.2-13 libenchant1c2a libexempi3 libexif12 libflac8 libfont-afm-perl libfreezethaw-perl libgdata-google1.2-1 libgdata1.2-1 libglibmm-2.4-1c2a libgnome-window-settings1 libgnomekbd-common libgnomekbd2 libgnomekbdui2 libgstreamer-plugins-base0.10-0 libgtkmm-2.4-1c2a libgucharmap6
  libgweather-common libgweather1 libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhunspell-1.2-0 libio-compress-base-perl libio-compress-zlib-perl liblcms1 libmalaga7 libmldbm-perl libmozjs1d libnautilus-extension1 libnet-dbus-perl libnotify1 liboobs-1-4 librarian0 libsexy2 libslab0
  libsoup2.4-1 libtie-ixhash-perl libtrackerclient0 libuuid-perl libvoikko1 libwavpack1 libwww-perl libxklavier12 libxml-parser-perl libxml-twig-perl libxml-xpath-perl metacity myspell-en-us nautilus nautilus-cd-burner nautilus-data notification-daemon system-tools-backends wodim xulrunner-1.9 yelp
0 upgraded, 95 newly installed, 0 to remove and 2 not upgraded.
35 not fully installed or removed.
Need to get 73.9MB of archives.
After this operation, 194MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.
So then I'm thinking, "what the hell?", I don't need any of those extra packages that it plans to install. How does installing metacity require the gnome-system-monitor? So I did a quick search and it turns out the default behaviour has changed in lenny to install recommended packages by default. And you can change that behaviour by adding a couple lines to your /etc/apt/apt.conf file (just create it if it doesn't exist), and add:
APT::Install-Recommends "0";
APT::Install-Suggests "0";
That changed the my install down to:
# apt-get install metacity
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  gnome-control-center
Recommended packages:
  gnome-session x-session-manager
The following NEW packages will be installed:
  metacity
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
That is much more like it...

posted at: 19:41 | path: /debian | permanent link to this entry


2019-Jun
2019-May
2018-Dec
2018-Jan
2017-Aug
2017-Jun
2017-May
2016-Nov
2015-Dec
2015-Nov
2015-Oct
2015-Jul
2015-Jun
2014-Dec
2012-Oct
2012-Sep
2012-Jun
2012-Feb
2012-Jan
2011-Dec
2011-Sep
2011-Aug
2011-May
2011-Feb
2010-Jun
2010-Apr
2010-Jan
2009-Sep
2009-Jul
2009-May
2009-Jan
2008-Oct
2008-Sep
2008-Jun
2008-May
2008-Jan
2007-Nov
2007-Oct
2007-Aug
2007-Jun
2007-May
2007-Mar
2007-Feb
2007-Jan
2006-Nov
2006-Oct
2006-Sep
2006-Aug
2006-Jun
2006-Apr
2006-Jan
2005-Dec
2005-Nov
2005-Oct
2005-Sep
2005-Aug
2005-Jul
2005-Jun
2005-May
2005-Apr
2005-Mar
2005-Feb
2005-Jan
2004-Dec
2004-Nov
2004-Oct
2004-Sep
2004-Aug
2004-Jul
2004-Jun
2004-May

Powered by PyBlosxom | RSS 2.0